"use strict";
jQuery(document).ready(function()
{
	wcafw_timeline_init();
	
	jQuery(document).on('click','.wcafw_collapse_button', wcuf_manage_collapse_action)
});
function wcaf_hide_loader()
{
	jQuery('#wcafw_loader_'+wcafw.unique_id).fadeOut();
}
function wcafw_timeline_init()
{
	const formData = new FormData();
	formData.append('action', 'wcafw_load_order_timelines');	
	formData.append('order_id', wcafw.order_id);	
	formData.append('lang', wcafw.lang);	
	 			
	jQuery.ajax({
			url: wcafw.ajax_url,
			type: 'POST',
			data: formData, 
			async: true,
			success: function (data) 
			{
				//UI	
				//console.log(wcafw.unique_id);
				wcaf_hide_loader();
				jQuery('#wcafw_timeline_container_'+wcafw.unique_id).html(data);
			},
			error: function (data) 
			{
				//console.log(data);
				//alert("Error: "+data);
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
}
function wcuf_manage_collapse_action(event)
{
	event.stopPropagation();
	const status = jQuery(event.currentTarget).data('status');
	const id = jQuery(event.currentTarget).data('id');
	if(status == 'show')
	{
		jQuery('.wcafw_collapse_'+id).fadeIn();
		jQuery(event.currentTarget).data('status', 'hide');
	}
	else
	{
		jQuery('.wcafw_collapse_'+id).fadeOut();
		jQuery(event.currentTarget).data('status', 'show');
	}
	
	return false;
}